
/* Miscellaneous functions shared with main.cc */

#include "fifo.tmpl"

class buflen;

extern void QueueRing(Fifo<buflen> *ringbuf, char *data, int len);
/* Note that the gap ranges from 0 to negative infinity */
extern int FlushRing(Fifo<buflen> *ringbuf, int gap);

extern void MailLock(void);
extern void MailUnlock(void);
extern int CheckLock(const char *path);
